std::geometric_distribution::geometric_distribution(3)

NAME
std::geometric_distribution::geometric_distribution - std::geometric_distribution::geometric_distribution

Synopsis
   geometric_distribution() : geometric_distribution(0.5) {} (1) (since C++11)
   explicit geometric_distribution( double p ); (2) (since C++11)
   explicit geometric_distribution( const param_type& params ); (3) (since C++11)
   Constructs a new distribution object. (2) uses p as the distribution parameter. (3)
   uses params as the distribution parameter.

Parameters
   p - the p distribution parameter (probability of a trial generating true)
   params - the distribution parameter set

Notes
   Requires that 0 < p < 1
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   P0935R0 C++11 default constructor was explicit made implicit